FreeMat

- Main Page
- Related Pages

TRANSPOSE Matrix Transpose

Section: Array Generation and Manipulations

# Usage

Performs a (nonconjugate) transpose of a matrix. The syntax for its use is

        y = transpose(x)

and is a synonym for `y = x.'`.

# Example

Here is an example of the transpose of a complex matrix. Note that the entries are not conjugated.

    --> A = [1+i,2+i;3-2*i,4+2*i]

    A =
       1.0000 +  1.0000i   2.0000 +  1.0000i
       3.0000 -  2.0000i   4.0000 +  2.0000i

    --> transpose(A)

    ans =
       1.0000 +  1.0000i   3.0000 -  2.0000i
       2.0000 +  1.0000i   4.0000 +  2.0000i